Skip to main content
PUT
/
v1
/
crm
/
merchants
/
{merchantId}
/
equipment-orders
/
{equipmentOrderId}
/
gateway
Update Gateway
curl --request PUT \
  --url https://api.example.com/v1/crm/merchants/{merchantId}/equipment-orders/{equipmentOrderId}/gateway \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "gateways": [],
  "gatewaySetupEmail": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "equipmentOrderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "gateways": [],
  "gatewaySetupEmail": "<string>"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

merchantId
string
required
equipmentOrderId
string
required

Body

application/json
gateways
enum<string>[] | null
Available options:
dejapaypro,
ipospays,
valor,
swipesimple,
authnet,
nmi
gatewaySetupEmail
string | null
Maximum string length: 256

Response

The updated gateway configuration.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
equipmentOrderId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
gateways
enum<string>[] | null
required
Available options:
dejapaypro,
ipospays,
valor,
swipesimple,
authnet,
nmi
gatewaySetupEmail
string | null
required
Maximum string length: 256